#!/bin/ksh

# Uninstall for WAS PTF-3

echo "Uninstalling WAS PTF-3"
echo "Please shut down the Application Server and any Webservers that might be running."
echo "If not the PTF may not be Uninstalled properly"

OS_NAME=`uname`

BACKUP_JAR="was35_ptf_3_backup.jar"
LOG_FILE="was35_ptf_3.log"
JAVA_BACKUP_JAR="jdk_ptf_3_backup.jar"
IHS_BACKUP_JAR="ihs_ptf_3_backup.jar"
IHS_LOG_FILE="ihs_ptf_3.log"
JAVA_LOG_FILE="jdk_ptf_3.log"
JAVA_PTF_DIR=`pwd`/java_ptf_3

export JAVA_HOME=`pwd`/java
if [[ "$OS_NAME" = "AIX" ]]  ; then
export PATH=$JAVA_HOME/jre/sh:$JAVA_HOME/sh:$PATH
elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]] ; then
export PATH=$JAVA_HOME/bin:$PATH
elif [[ "$OS_NAME" = "HP-UX" ]]  ; then
export PATH=$JAVA_HOME/bin:/usr/sbin:$PATH
elif [[ "$OS_NAME" = "Linux" ]]  ; then   
	#Make sure the link is in place.
	if [[ ! -L $WAS_DIR/java ]] ; then
		#If not, make it in place, JDK will be in two possible spots.
		if [[ ! -d $WAS_DIR/IBMJava2-122 ]] ; then
			ln -s /opt/IBMJava2-122/ $WAS_DIR/java
		else
			ln -s $WAS_DIR/IBMJava2-122/ $WAS_DIR/java
		fi
	fi
	export PATH=$JAVA_HOME/bin:$PATH
fi

#Uninstalling the WAS PTF
  while :
  do
  {
    echo "Please enter whether you want to uninstall WebSphere Application PTF 3 (y/n)"
    read WAS_UNINSTALL
    if [[ "${WAS_UNINSTALL}" = "" ]]
    then
       continue
    fi
      
    if [[ "$WAS_UNINSTALL" != "y" && "$WAS_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo 
            continue
         }
     fi

     break
   }
   done

if [[ "$WAS_UNINSTALL" = "y" ]] ; then
   echo "Uninstalling the WebSphere Application PTF 3"
   if [[ "$OS_NAME" = "AIX" ]] ; then
       slibclean
   fi
   java -jar `pwd`/$BACKUP_JAR -log `pwd`/logs/$LOG_FILE
fi

#Uninstalling the JDK PTF
if [[ "$OS_NAME" != "Linux" ]]  ; then
  while :
  do
  {
    echo "Please enter whether you want to uninstall JDK PTF (y/n)"
    read JDK_UNINSTALL
    if [[ "${JDK_UNINSTALL}" = "" ]]
    then
       continue
    fi
      
    if [[ "$JDK_UNINSTALL" != "y" && "$JDK_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo 
            continue
         }
     fi

     break
   }
   done

  if [[ "$JDK_UNINSTALL" = "y" ]] ; then
    echo "Uninstalling the JDK PTF 3"
    mkdir $JAVA_PTF_DIR
    cp -R $JAVA_HOME/* $JAVA_PTF_DIR/
    java -jar `pwd`/$JAVA_BACKUP_JAR -log `pwd`/logs/$JAVA_LOG_FILE
    if [[ "$OS_NAME" = "AIX" ]] ; then
       slibclean
    fi
    sleep 5
    rm -rf $JAVA_HOME
    mkdir $JAVA_HOME
    cp -R $JAVA_PTF_DIR/* $JAVA_HOME/
    rm -rf $JAVA_PTF_DIR
  fi

  #Uninstalling the IHS PTF
  while :
  do
  {
    echo "WARNING: During Uninstall of IHS PTF-3. The back level IHS may not work properly with the current level of GSkit."
    echo "Please enter whether you want to uninstall IHS WebServer PTF (y/n)"
    read IHS_UNINSTALL
    if [[ "${IHS_UNINSTALL}" = "" ]]
    then
       continue
    fi
      
    if [[ "$IHS_UNINSTALL" != "y" && "$IHS_UNINSTALL" != "n" ]]
       then
         {
            echo
            echo "Please enter y for Yes or n for No"
            echo 
            continue
         }
     fi

     break
   }
   done

  if [[ "$IHS_UNINSTALL" = "y" ]] ; then
    echo "Uninstalling the IHS PTF 2"
    if [[ "$OS_NAME" = "AIX" ]] ; then
       slibclean
    fi
    java -jar `pwd`/$IHS_BACKUP_JAR -log `pwd`/logs/$IHS_LOG_FILE
   
    if [[ "$OS_NAME" = "HP-UX" ]] ; then
        echo "Uninstalling GSkit."
        /usr/sbin/swremove -x autoselect_dependents=false -x enforce_dependencies=false gsk4bas
    fi  
  fi
fi

